ruby-qdbm_1.8.78-6build3_i386.deb


Advertisement

Description

ruby-qdbm - QDBM Database Libraries for Ruby

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-qdbm
Package version 1.8.78
Package release 6build3
Package architecture i386
Package type deb
Installed size 146 B
Download size 18.23 KB
Official Mirror archive.ubuntu.com
QDBM is an embeded database library compatible with GDBM and NDBM.
It features hash database and B+ tree database and is developed referring
to GDBM for the purpose of the following three points: higher processing
speed, smaller size of a database file, and simpler API.
This package provides the Ruby interface for the QDBM database library.

Alternatives

Package Version Architecture Repository
ruby-qdbm_1.8.78-6build3_amd64.deb 1.8.78 amd64 Ubuntu Universe
ruby-qdbm - - -

Requires

Name Value
libc6 >= 2.4
libqdbm14 >= 1.8.74
libruby2.3 >= 2.3.0~preview2

Provides

Name Value
libqdbm-ruby1.9.1 -

Replaces

Name Value
libqdbm-ruby1.9.1 << 1.8.78-1

Download

Type URL
Binary Package ruby-qdbm_1.8.78-6build3_i386.deb
Source Package qdbm

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-qdbm deb package:
    # sudo apt-get install ruby-qdbm

Files

Path
/usr/lib/i386-linux-gnu/ruby/vendor_ruby/2.3.0/curia.rb
/usr/lib/i386-linux-gnu/ruby/vendor_ruby/2.3.0/depot.rb
/usr/lib/i386-linux-gnu/ruby/vendor_ruby/2.3.0/mod_curia.so
/usr/lib/i386-linux-gnu/ruby/vendor_ruby/2.3.0/mod_depot.so
/usr/lib/i386-linux-gnu/ruby/vendor_ruby/2.3.0/mod_villa.so
/usr/lib/i386-linux-gnu/ruby/vendor_ruby/2.3.0/villa.rb
/usr/share/doc/ruby-qdbm/changelog.Debian.gz
/usr/share/doc/ruby-qdbm/copyright

Changelog

2016-03-13 - Matthias Klose <doko@ubuntu.com>
qdbm (1.8.78-6build3) xenial; urgency=medium
* No-change rebuild for ruby2.3-only support.
2016-03-13 - Matthias Klose <doko@ubuntu.com>
qdbm (1.8.78-6build2) xenial; urgency=medium
* No-change rebuild to add ruby2.3 support.
2015-12-18 - Colin Watson <cjwatson@ubuntu.com>
qdbm (1.8.78-6build1) xenial; urgency=medium
* Rebuild for Perl 5.22.1.
2015-08-04 - KURASHIKI Satoru <lurdan@gmail.com>
qdbm (1.8.78-6) unstable; urgency=medium
* New Standards-Version: 3.9.6.
* update symbol file to fix ftbfs with gcc-5. (Closes: #791736)
2014-07-07 - KURASHIKI Satoru <lurdan@gmail.com>
qdbm (1.8.78-5) unstable; urgency=medium
[ gregor herrmann ]
* Fix "hardcodes /usr/lib/perl5":
- add patch that passes INSTALLDIRS=vendor to perl Makefile.PL calls
- remove usr/lib/perl5 from debian/libqdbm-perl.dirs, files are in the
right directories now
- remove some now unneeded (re)moving in debian/rules and adjust paths
- use $Config{vendorarch} in debian/rules to get the perl library path at
build time
(Closes: #752806)
2014-06-19 - KURASHIKI Satoru <lurdan@gmail.com>
qdbm (1.8.78-4) unstable; urgency=medium
* New Standards-Version: 3.9.5.
* update symbol file to fix ftbfs with gcc-4.9. (Closes: #746898)
2014-01-07 - KURASHIKI Satoru <lurdan@gmail.com>
qdbm (1.8.78-3) unstable; urgency=low
* Drop ruby1.8 bindings. (Closes: #734346)
2012-01-27 - KURASHIKI Satoru <lurdan@gmail.com>
qdbm (1.8.78-2) unstable; urgency=low
* Apply patch from Neil Williams
+ to fix dependency issue about libxqdbm-dev. (Closes: #655702)
* Apply patch from Pino Toscano
+ to support nocheck in DEB_BUILD_OPTIONS. (Closes: #648649)
+ to support hurd. (Closes: #648663)
2011-10-13 - KURASHIKI Satoru <lurdan@gmail.com>
qdbm (1.8.78-1) unstable; urgency=low
* Upstream homepage moved.
* New Upstream release.
* New Standards-Version: 3.9.2
* fix misplaced library symlinks.
* fix typo of package description. (Closes: #592058)
* libqdbm14: drop gdbm wrapping. (Closes: #620550)
* update ruby packaging for wheezy.
* debian/copyright: migrate DEP-5 format with fixing imcomplete listings.
Thanks to Bart Martens's review at mentors.d.n.
2010-11-08 - KURASHIKI Satoru <lurdan@gmail.com>
qdbm (1.8.77-4) unstable; urgency=high
* Fix serious bugs:
+ Apply patch from dai to fix upgrading from lenny. (Closes: #601990)
+ Apply patch from dai to get rid of old libraries. (Closes: #602786)

See Also

Package Description
ruby-qpid_0.16-9ubuntu2_i386.deb enterprise messaging system - Ruby bindings
ruby-qscintilla2_4.14.3-1ubuntu2_i386.deb QScintilla2 bindings for the Ruby language
ruby-qt4-declarative_4.14.3-1ubuntu2_i386.deb QtDeclarative bindings for the Ruby language
ruby-qt4-script_4.14.3-1ubuntu2_i386.deb QtScript bindings for the Ruby language
ruby-qt4-test_4.14.3-1ubuntu2_i386.deb QtTest bindings for the Ruby language
ruby-qt4-uitools_4.14.3-1ubuntu2_i386.deb QtUiTools bindings for the Ruby language
ruby-qt4_4.14.3-1ubuntu2_i386.deb Qt 4 bindings for the Ruby language
ruby-rabl-rails_0.4.1-1_all.deb fast Rails 3+ templating system with JSON and XML support
ruby-rabl_0.11.4-2_all.deb Ruby templating library with JSON, BSON, XML and MessagePack support
ruby-rack-accept_0.4.5-3_all.deb suite of tools for interpreting HTTP Accept family for Ruby/Rack
ruby-rack-attack_4.3.1-1_all.deb Block & throttle abusive requests
ruby-rack-cache_1.2-4_all.deb HTTP Caching for Rack
ruby-rack-contrib_1.3.0-3_all.deb contributed Rack Middleware and Utilities
ruby-rack-cors_0.4.0-1_all.deb enable Cross-Origin Resource Sharing in Rack apps
ruby-rack-flash3_1.0.5-1build1_all.deb Flash hash for Ruby Rack applications
Advertisement
Advertisement